aboutsummaryrefslogtreecommitdiff
path: root/docs
diff options
context:
space:
mode:
authorhuker667 <huker@tuta.io>2026-05-10 09:51:20 +0300
committerhuker667 <huker@tuta.io>2026-05-10 09:51:20 +0300
commite9046a96f1edd2d52594785998d90a14d10a5803 (patch)
treeb2a0119be219839dff66d07e638a6775a568b0eb /docs
downloadqulay-e9046a96f1edd2d52594785998d90a14d10a5803.tar.gz
qulay-e9046a96f1edd2d52594785998d90a14d10a5803.tar.bz2
qulay-e9046a96f1edd2d52594785998d90a14d10a5803.zip
init commit v0.7master
Diffstat (limited to 'docs')
-rw-r--r--docs/adding-repositories.md14
-rw-r--r--docs/creating-repositories.md57
2 files changed, 71 insertions, 0 deletions
diff --git a/docs/adding-repositories.md b/docs/adding-repositories.md
new file mode 100644
index 0000000..3274507
--- /dev/null
+++ b/docs/adding-repositories.md
@@ -0,0 +1,14 @@
+# adding repositories
+
+the file with the list of repository links is located in `/etc/qulay/repositories.uz` (it's not UzbekDB file). to add a repository, you need to open this file and add a line with a link, for example:
+```
+http://127.0.0.1:8000/releases/core.tar.zst
+https://codeberg.org/UzbekLinux/qulay-pkgs/releases/download/latest/halal.tar.zst
+```
+you must provide a link specifically to the release Zstd archive.
+
+update in qulay after adding repositories urls:
+```
+qulay u
+```
+qulay will download tar.zst file and extract it to `/var/lib/qulay/repos/` folder.
diff --git a/docs/creating-repositories.md b/docs/creating-repositories.md
new file mode 100644
index 0000000..f7bbd2f
--- /dev/null
+++ b/docs/creating-repositories.md
@@ -0,0 +1,57 @@
+# creating repositories
+
+your repository should be packed in Zstd archive and your repository should have this structure:
+```
+repo-name.tar.zst/
+| manifest.uz
+| pkgs.uz
+| packages/
+|| example/
+||| install.sh
+||| remove.sh
+||| depends.uz
+|| halal/
+||| ...
+|| ...
+```
+
+*manifest.uz*:
+```
+repo-name | Repository Description | maintainer | not required...
+```
+
+*pkgs.uz*:
+```
+example | Example package for Da | 1.0.0
+halal | most halal package in the world | 78fd004609
+```
+*packages/example/*:
+```
+example/
+| install.sh
+| remove.sh
+| depends.uz
+```
+*packages/example/install.sh*:
+```bash
+#!/bin/sh
+set -e
+
+curl -# -O http://example.org/example/bin/example.sh
+mkdir -p $DESTDIR/usr/bin
+cp -v example.sh $DESTDIR/usr/bin/example
+chmod +x $DESTDIR/usr/bin/example
+```
+*packages/example/remove.sh*:
+```bash
+#!/bin/sh
+set -e
+
+rm -fv $DESTDIR/usr/bin/example
+```
+*packages/example/depends.uz*:
+```
+python-uzbekdb
+example-lib
+procps-ng
+```